
Base Distribution - Task # 54273

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Content Editing
Created: 2013-12-07 Assigned To: Adrian Föder
Updated: 2013-12-10 Due date:
Subject: Aloha: Make it possible to configure options via YAML
Description

It should be possible to define what formatting options are available (per NodeType).
Currently we can add new options e.g.

'TYPO3.Neos.NodeTypes:Headline':
  properties:
    title:
      ui:
        aloha:
          format: ['h4']

But we can't remove existing options.
We should turn the array into a map, so instead of:

format: ['b', 'i', 'u', 'sub', 'sup', 'p', 'h1', 'h2', 'h3', 'pre', 'removeFormat']

something like

format:
  'b': TRUE,
  'i': TRUE, 
...

Associated revisions
Revision 4ebd4e81 - 2013-12-09 19:27 - Adrian Föder

[TASK] Overwritable Aloha options YAML settings

Setting Content Element's Aloha settings now is "DIP
switchable", i.e. the options are note anymore in a
single array, but are keys having a TRUE value each. This
allows intersecting these options better via the YAML
merging.

The VIE Schema, however, expects the settings eventually still
as real, plain array, this is adjusted in the appropriate
controller.
Change-Id: I6e43eba2a91f82b67102c6f1c29391530ab79be6
Resolves: #54273
Reviewed-on: https://review.typo3.org/26044
Reviewed-by: Adrian Föder
Tested-by: Adrian Föder
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision e047d0c9 - 2013-12-09 19:27 - Adrian Föder

[TASK] Adjust Aloha options to new settings structure

Following I6e43eba2a91f82b67102c6f1c29391530ab79be6, this
adjusts the Node Type Aloha settings to be "switchable" 
rather than a simple array.

Depends: I6e43eba2a91f82b67102c6f1c29391530ab79be6
Related: #54273
Change-Id: I1e24e4fcefa4948340c1a829651f7f7178dfcc7c
Reviewed-on: https://review.typo3.org/26045
Reviewed-by: Adrian Föder
Tested-by: Adrian Föder
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision bfe8d1da - 2013-12-09 19:55 - Adrian Föder

[TASK] Adjust Aloha options to new settings structure

According to #54273 this adjusts the Headline setting,
and additionally introduces the possibility to have
an h5 heading.

Associated revisions are
I6e43eba2a91f82b67102c6f1c29391530ab79be6 and
I1e24e4fcefa4948340c1a829651f7f7178dfcc7c.

Change-Id: I7646bcd84108b60e71d8cdb247e017376050ba36
Related: #54273

Revision d82610f6 - 2013-12-10 17:31 - Adrian Föder

[TASK] Overwritable Aloha options YAML settings

Setting Content Element's Aloha settings now is "DIP
switchable", i.e. the options are note anymore in a
single array, but are keys having a TRUE value each. This
allows intersecting these options better via the YAML
merging.
The VIE Schema, however, expects the settings eventually still
as real, plain array, this is adjusted in the appropriate
controller.

Change-Id: I6e43eba2a91f82b67102c6f1c29391530ab79be6
Resolves: #54273
(cherry picked from commit 4ebd4e81b56e60ce8305a740f756fd1ee69e55e7)
Reviewed-on: https://review.typo3.org/26311
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-12-08 11:34 - Adrian Föder
- Assigned To set to Adrian Föder

#2 - 2013-12-08 11:34 - Adrian Föder
- Status changed from New to Accepted

#3 - 2013-12-08 15:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26044

#4 - 2013-12-09 18:54 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26044

#5 - 2013-12-09 19:36 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4ebd4e81b56e60ce8305a740f756fd1ee69e55e7.

#6 - 2013-12-10 17:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26311

#7 - 2013-12-10 17:36 - Adrian Föder
- Status changed from Under Review to Resolved
Applied in changeset commit:d82610f691ef0b9a9307f5b486b21b6fb93d9375.
